summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorJameson Graef Rollins <jrollins@finestructure.net>2009-03-02 14:27:00 -0500
committerJameson Graef Rollins <jrollins@finestructure.net>2009-03-02 14:27:00 -0500
commit5d4812173522007b7b6786a2c6f6f551394d062b (patch)
treef17e0f1094f5f611d98205932ca5f6824f046439 /packaging
parent47b47d848c6ad34daef04d7097e7dfb56ec38099 (diff)
parentd86b79c54bca47211511fc18f3d626cf3b30fcb1 (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/debian/monkeysphere.prerm36
1 files changed, 36 insertions, 0 deletions
diff --git a/packaging/debian/monkeysphere.prerm b/packaging/debian/monkeysphere.prerm
new file mode 100755
index 0000000..1a5135a
--- /dev/null
+++ b/packaging/debian/monkeysphere.prerm
@@ -0,0 +1,36 @@
+#!/bin/sh -e
+
+# prerm script for monkeysphere
+
+# the only thing we're doing here is making sure that the local
+# administrator is not trying to downgrade to a version below 0.23,
+# since there was such a major reorganization of system data during
+# the transition to 0.23.
+
+# Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+# Copyright 2009
+
+set -e
+
+case "$1" in
+ upgrade)
+ if dpkg --compare-versions "$2" lt 0.23 ; then
+ cat >&2 <<EOF
+
+Downgrading the monkeysphere to a version earlier than 0.23 can have
+BAD CONSEQUENCES, including potentially locking you out of the system.
+Downgrading in this fashion is NOT SUPPORTED.
+
+EOF
+
+ exit 1
+ fi
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0